org.apache.lucene.facet.params

## Class FacetSearchParams

- java.lang.Object
- - org.apache.lucene.facet.params.FacetSearchParams

    public class FacetSearchParams
    extends Object

Defines parameters that are needed for faceted search. The list of `facet requests` denotes the facets for which aggregated should be done.

One can pass `FacetIndexingParams` in order to tell the search code how to read the facets information. Note that you must use the same `FacetIndexingParams` that were used for indexing.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

Fields
`List<FacetRequest>` `facetRequests`
`FacetIndexingParams` `indexingParams`

### Constructor Summary

Constructors
Constructor and Description
`FacetSearchParams(FacetIndexingParams indexingParams, FacetRequest... facetRequests)` Initializes with the given `requests` and `FacetIndexingParams`.
`FacetSearchParams(FacetIndexingParams indexingParams, List<FacetRequest> facetRequests)` Initializes with the given `requests` and `FacetIndexingParams`.
`FacetSearchParams(FacetRequest... facetRequests)` Initializes with the given `requests` and default `FacetIndexingParams.DEFAULT`.
`FacetSearchParams(List<FacetRequest> facetRequests)` Initializes with the given `requests` and default `FacetIndexingParams.DEFAULT`.

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### indexingParams

    public final FacetIndexingParams indexingParams

#### facetRequests

    public final List<FacetRequest> facetRequests

### Constructor Detail

#### FacetSearchParams

    public FacetSearchParams(FacetRequest... facetRequests)

Initializes with the given `requests` and default `FacetIndexingParams.DEFAULT`. If you used a different `FacetIndexingParams`, you should use `FacetSearchParams(FacetIndexingParams, List)`.

#### FacetSearchParams

    public FacetSearchParams(List<FacetRequest> facetRequests)

Initializes with the given `requests` and default `FacetIndexingParams.DEFAULT`. If you used a different `FacetIndexingParams`, you should use `FacetSearchParams(FacetIndexingParams, List)`.

#### FacetSearchParams

    public FacetSearchParams(FacetIndexingParams indexingParams,
                     FacetRequest... facetRequests)

Initializes with the given `requests` and `FacetIndexingParams`.

#### FacetSearchParams

    public FacetSearchParams(FacetIndexingParams indexingParams,
                     List<FacetRequest> facetRequests)

Initializes with the given `requests` and `FacetIndexingParams`.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`